%define subrel 1

Summary:	Lilypond helper program for KDE4
Name:		lilypond-kde4
Version: 	0.2
Release: 	%mkrel 2
Source0: 	http://lilykde.googlecode.com/files/%name-%version.tar.gz
License: 	GPLv2+
Group: 		Graphical desktop/KDE
Url: 		http://code.google.com/p/lilykde/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	kdelibs4-devel
Requires:	lilypond

%description 
A package for KDE 4.1 or higher with basic tools to make working with
the GNU LilyPond music typesetter in KDE 4 easier.

It contains a KatePart indent script, icons for *.ly files and a
powerful textedit protocol handler. The textedit protocol handler opens
the preferred editor application when you click on notes in the LilyPonds
PDF output, but it can also directly interact via D-Bus with specialized
LilyPond editing apps.

%files
%defattr(-,root,root)
%_kde_bindir/*
%_kde_iconsdir/*/*/*/*
%exclude %_kde_appsdir/katepart/script/lilypond.js
%_kde_configdir/ktexteditservicerc
%_kde_services/textedit.protocol

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%{makeinstall_std} -C build

%clean
rm -rf %{buildroot}


%changelog
* Sun Dec 20 2009 Ahmad Samir <ahmadsamir@mandriva.org> 0.2-2.1mdv2010.0
+ Revision: 480292
- Fix file conflict (bug #56541)

* Mon Sep 14 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.2-2mdv2010.0
+ Revision: 439527
- rebuild

* Sun Jan 11 2009 Funda Wang <fwang@mandriva.org> 0.2-1mdv2009.1
+ Revision: 328176
- New version 0.2

* Sat Dec 06 2008 Funda Wang <fwang@mandriva.org> 0.1-1mdv2009.1
+ Revision: 310964
- import lilypond-kde4


